Bug 1250763 - [GSS](6.4.z) Multiple HA singletons from ServiceProviderRegistry bug
[GSS](6.4.z) Multiple HA singletons from ServiceProviderRegistry bug
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.2.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: dereed
Jitka Kozana
:
: 1250761 (view as bug list)
Depends On:
Blocks: 1250770 1235746
  Show dependency treegraph
 
Reported: 2015-08-05 21:01 EDT by dereed
Modified: 2017-01-17 06:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:47:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dereed 2015-08-05 21:01:26 EDT
A bug in ServiceProviderRegistry can cause all local updates to the service list to not be replicated to the cluster.

When purgeDeadMembers reads an AtomicMap from the cache, it incorrectly sets CACHE_MODE_LOCAL on the call, which will prevent every future call to the AtomicMap from being replicated.

This is a similar issue to BZ 1236191.
Comment 1 dereed 2015-08-05 21:03:19 EDT
Does not affect upstream Wildfly, as the service has been completely rewritten.
Comment 2 dereed 2015-08-10 14:32:49 EDT
*** Bug 1250761 has been marked as a duplicate of this bug. ***
Comment 8 Ladislav Thon 2016-01-19 08:12:49 EST
Verified with EAP 6.4.6.CP.CR2.
Comment 9 Petr Penicka 2017-01-17 06:47:03 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 10 Petr Penicka 2017-01-17 06:48:00 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.